Page MenuHomePhabricator

unlock hangs on "authenticating" -> can't unlock E
Open, NormalPublic

Description

just like https://phab.enlightenment.org/T3599

  1. lock screen
  2. type password
  3. press enter

> hang!

I observed it only happens with "Rendering" set to "OpenGL" (unlocks fine on "Software").
The system is a Debian 8 Jessie x64 on a Dell OptiPlex 3020 with a AMD Radeon HD8490 and 2 monitors running EFL 1.18.2 + E21.3.

roman created this task.Nov 3 2016, 12:49 PM
roman created this object with edit policy "roman (roman)".
roman updated the task description. (Show Details)Nov 3 2016, 12:58 PM
ProhtMeyhet triaged this task as Pending on user input priority.Nov 4 2016, 1:37 AM
ProhtMeyhet added a subscriber: ProhtMeyhet.

I observed it only happens with "Rendering" set to "OpenGL" (unlocks fine on "Software").

disclaimer: i'm not an e dev.

you've hit a driver issue with a properitary driver. one of maaaaaaannnnnyyyyyy.

and since debian ist still stuck with kernel 3.16, i guess thats why you need the proprietary driver? really, get yourself an up-to-date kernel and use the open source radeon driver. works fine with 3 screens and with many games, too (i've got a hd5690). see some benchmarks.

roman added a comment.Nov 6 2016, 9:50 AM

really, get yourself an up-to-date kernel and use the open source radeon driver.

Hi ProhtMeyhet,
thank you for your input. Unfortunately updating the kernel is not an option right now. Even if it's a bug in the driver, I think that it should be possible to unlock the screen. I mean, it used to work and other window managers seem to unlock just fine, so I hope someone finds time to look into this. I'll be glad to provide more info.

In T4827#75023, @roman wrote:

really, get yourself an up-to-date kernel and use the open source radeon driver.

Hi ProhtMeyhet,
thank you for your input. Unfortunately updating the kernel is not an option right now. Even if it's a bug in the driver, I think that it should be possible to unlock the screen. I mean, it used to work and other window managers seem to unlock just fine, so I hope someone finds time to look into this. I'll be glad to provide more info.

we need a backtrace.

lock the screen and unlock till it hangs and in a tty do (str + alt + f1)

rm ~/.e-crashdump.txt
killall -SEGV enlightenment

^^ that'll crash enlightenment, but it should be recoverable. still save your work. then upload the ~/.e-crashdump.txt here. if you know what gdb is: read here.

i forgot: in the meantime you can install xlock or xscreensaver and set e to use it in settings -> Screen -> Screen lock -> Select "Use External Screen Lock" and then type in xlock or another lock command in the then highlighted textbox.

roman added a comment.Nov 8 2016, 10:12 AM

Hi there,

so here's my crashdump finally. Thanks for the tip with the external screen lock command :) wasn't aware of that.

bu5hm4n added a subscriber: bu5hm4n.Nov 9 2016, 1:44 AM

I fear this is not our bug from the backtrace you posted:

#6  <signal handler called>
No locals.
#7  0x00007f2bb5996aed in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
#8  0x00007f2bb4af0252 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
#9  0x00007f2bb4af1b6f in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
#10 0x00007f2bb4af1c81 in xcb_wait_for_reply () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.

in frame 10 somewthing calls xcb functions, after that in frame 7 a poll is executed which then segfaults, it really looks like this is a issue somewhere in the deeps of xlib/xcb or your driver, (since the driver calls xlib here) ... there is also some gl stuff before, maybe it works if you are using the software renderer ? (In compositor settings under rendering) i hope i could help a bit :)

roman added a comment.Nov 9 2016, 11:06 AM

Hello bu5hm4n,

thanks for taking a look. It actually _does_ work with the software renderer, but it looks strange (black borders on GTK windows -> https://phab.enlightenment.org/T4828 ). I guess I'll have to use an external screen lock for now...

hum, it sucks that one bug is following the next for you :(

But you are somehow hitting a driver bug here, maybe you can report that bug to your vendor?

Lets hope the software-renderer bug gets fixed soon.

Tried some adjustments to my xorg.conf, but it didn't help. Setting xscreensaver as external locking solution seems to work quite well for now :)

ProhtMeyhet raised the priority of this task from Pending on user input to Normal.Nov 23 2016, 10:37 AM
zmike added a subscriber: raster.Aug 17 2017, 2:22 PM

Wasn't there some other ticket related to this?

In T4827#95163, @zmike wrote:

Wasn't there some other ticket related to this?

yup, mine probably: T6211

this should be solved, as there has been a major refactory of e's login processing.

however, @admins, @zmike @raster something doesn't allow me to close this, nor even change it's status currently. it looks like it's another spam attack, which even filters me...